=== modified file 'Makefile'
--- Makefile	2009-09-29 01:11:44 +0000
+++ Makefile	2009-10-06 18:30:26 +0000
@@ -82,7 +82,7 @@
 check: clean build
 	# Run all tests. test_on_merge.py takes care of setting up the
 	# database.
-	${PY} -t ./test_on_merge.py $(VERBOSITY)
+	${PYTHON} -t ${PY} ./test_on_merge.py $(VERBOSITY)
 
 jscheck: build
 	# Run all JavaScript integration tests.  The test runner takes care of
@@ -104,7 +104,7 @@
 check_mailman: build
 	# Run all tests, including the Mailman integration
 	# tests. test_on_merge.py takes care of setting up the database.
-	${PY} -t ./test_on_merge.py $(VERBOSITY) --layer=MailmanLayer
+	${PYTHON} -t ${PY} ./test_on_merge.py $(VERBOSITY) --layer=MailmanLayer
 
 lint: ${PY}
 	@bash ./bin/lint.sh
@@ -113,7 +113,7 @@
 	@bash ./bin/lint.sh -v
 
 xxxreport: $(PY)
-	${PY} -t ./utilities/xxxreport.py -f csv -o xxx-report.csv ./
+	${PYTHON} -t ${PY} ./utilities/xxxreport.py -f csv -o xxx-report.csv ./
 
 check-configs: $(PY)
 	${PY} utilities/check-configs.py
@@ -150,7 +150,7 @@
 compile: $(PY)
 	${SHHH} $(MAKE) -C sourcecode build PYTHON=${PYTHON} \
 	    PYTHON_VERSION=${PYTHON_VERSION} LPCONFIG=${LPCONFIG}
-	${SHHH} LPCONFIG=${LPCONFIG} $(PY) -t buildmailman.py
+	${SHHH} LPCONFIG=${LPCONFIG} ${PYTHON} -t ${PY} buildmailman.py
 	${SHHH} $(PY) sourcecode/lazr-js/tools/build.py \
 		-n launchpad -s lib/canonical/launchpad/javascript \
 		-b lib/canonical/launchpad/icing/build $(EXTRA_JS_FILES)

=== removed file 'buildout-templates/bin/py.in'
--- buildout-templates/bin/py.in	2009-06-12 16:36:02 +0000
+++ buildout-templates/bin/py.in	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-#!/bin/sh
-PYTHONPATH=${os-paths} exec ${buildout:executable} "$@"

=== modified file 'buildout.cfg'
--- buildout.cfg	2009-09-21 10:45:15 +0000
+++ buildout.cfg	2009-10-06 18:30:26 +0000
@@ -46,13 +46,14 @@
 
 [scripts]
 recipe = zc.recipe.egg
+interpreter = py
 eggs = lp
     windmill
     funkload
 # XXX gary 2009-5-12 bug 375751:
 # Make mailman built and installed in a more normal way.
 extra-paths = ${buildout:directory}/lib/mailman
-# note that any indentation is lost in initialization blocks
+# Note that any indentation is lost in initialization blocks.
 initialization = import os
                  os.environ['STORM_CEXTENSIONS'] = '1'
                  os.environ.setdefault('LPCONFIG', '${configuration:instance_name}')

=== modified file 'versions.cfg'
--- versions.cfg	2009-10-01 16:38:03 +0000
+++ versions.cfg	2009-10-06 18:30:26 +0000
@@ -88,12 +88,12 @@
 z3c.viewlet = 1.0.0
 z3c.viewtemplate = 0.3.2
 z3c.zrtresource = 1.0.1
-zc.buildout = 1.5.0dev-gary-r103553
+zc.buildout = 1.5.0dev-gary-r104562
 zc.catalog = 1.2.0
 zc.datetimewidget = 0.5.2
 zc.i18n = 0.5.2
 zc.lockfile = 1.0.0
-zc.recipe.egg = 1.3.0dev-gary-r103515
+zc.recipe.egg = 1.3.0dev-gary-r104562
 zc.zservertracelog = 1.1.5
 ZConfig = 2.6.1
 zdaemon = 2.0.2

